.subject {
  background-color: var(--secondary-900);
  box-shadow: 2px 3px 0.6rem 2px rgba(0, 0, 0, 0.3);
  padding: 1.2rem 2rem;
  border-radius: 1rem;
  cursor: pointer;
  transition: all 0.2s, transform 0.1s;
  width: 95%;

  &_name {
    font-weight: 700;
    color: var(--secondary-100);
  }
  &:hover {
    box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
  }
  &:active {
    box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.4);
    transform: scale(1.03);
  }

  .gpa {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 1rem;
    margin-bottom: 1rem;

    &_value {
      font-size: 2.2rem;
      font-weight: 400;
      color: var(--secondary-400);
    }
  }

  .grades_list {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0.8rem;
    overflow: scroll;
    overflow-x: visible;

    & > * {
      flex-shrink: 0;
      flex-grow: 0;
    }
    .grade-small {
      width: 1.6em;
      height: 1.6em;

      overflow: hidden;
      border-radius: 50%;
      display: flex;
      align-items: center;
      font-size: var(--caption2);
      justify-content: center;

      & > span {
        mix-blend-mode: overlay;
      }

      &[data-grade="A"] {
        background: var(--grade-a);
      }
      &[data-grade="B"] {
        background: var(--grade-b);
      }
      &[data-grade="C"] {
        background: var(--grade-c);
      }
      &[data-grade="D"] {
        background: var(--grade-d);
      }
      &[data-grade="F"] {
        background: var(--grade-f);
      }
    }
  }

  &_list {
    grid-area: subject-list;
    min-width: 0; // makes each subject not expand from parent

    min-height: 0; // makes each subject not expand from parent
    margin: 0 !important;

    display: flex;
    justify-content: center;

    .term {
      display: none;
      height: 100%;
      max-width: 100%;
      width: 100vw;
      min-width: 0;
      overflow: scroll;
      padding: 1rem;

      flex-direction: column;
      align-items: center;
      gap: 2rem;

      &.active {
        display: flex;
      }
      &::-webkit-scrollbar {
        display: none;
      }

      scrollbar-width: none;

      max-width: 100%;
      // background-color: olive;

      &-1 {
        // background-color: blue;
      }

      &-2 {
        // background-color: magenta;
      }
    }
  }
}
